//    Copyright 2011 Brad Block, Pawjaw, LLC. (brad@pawjaw.com)
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.

package com.pawjaw.utils;

public class OptArgException extends IllegalArgumentException {
    public OptArg optarg;

    public OptArgException(String msg) {
        super(msg);
        this.optarg = null;
    }

    public OptArgException(String msg, OptArg optarg) {
        super(msg);
        this.optarg = optarg;
    }
}
